Skip to main content
GET
/
loans
/
{id}
Get Loan
curl --request GET \
  --url https://los.universal.rollout.com/api/loans/{id}
{
  "id": "<string>",
  "interestRate": 123,
  "amount": 123,
  "term": 123,
  "loanToValue": 123,
  "type": "<string>",
  "purpose": "<string>",
  "status": "<string>",
  "statusDate": "<string>",
  "applicationDate": "<string>",
  "closingDate": "<string>",
  "fundingDate": "<string>",
  "rateAndTerms": {
    "monthlyPayment": 123,
    "escrowIncluded": true,
    "pmiRequired": true,
    "pmiRate": 123
  },
  "originalIds": {},
  "original": {},
  "created": "<string>",
  "updated": "<string>",
  "userParticipantIds": [
    "<string>"
  ],
  "borrowerParticipantIds": [
    "<string>"
  ],
  "stage": "<string>",
  "stageHistory": [
    {
      "id": "<string>",
      "name": "<string>",
      "status": "<string>",
      "scheduledStartDate": "2023-11-07T05:31:56Z",
      "actualStartDate": "2023-11-07T05:31:56Z",
      "completedDate": "2023-11-07T05:31:56Z",
      "plannedDurationDays": 123,
      "actualDurationDays": 123,
      "assignee": {
        "id": "<string>",
        "name": "<string>",
        "email": "<string>",
        "phone": "<string>",
        "role": "<string>"
      },
      "requiresReview": true,
      "isReviewed": true,
      "order": 123,
      "isRequired": true,
      "notes": "<string>",
      "metadata": null
    }
  ],
  "loanFolder": "<string>",
  "archived": true,
  "rolloutUpdated": "<string>"
}
GET /loans/{id} Base URL: https://los.universal.rollout.com/api

Parameters

NameInTypeRequired
idpathstringYes

Responses

StatusDescription
200OK
400Bad Request
404Not Found
409Conflict

OpenAPI Source

/openapi/los.json GET /loans/{id}

Path Parameters

id
string
required

Response

OK

id
string
required
interestRate
number
required
amount
number
required
term
number
required
loanToValue
number
required
type
string
required
purpose
string
required
status
string
required
statusDate
string
required
applicationDate
string
required
closingDate
string
required
fundingDate
string
required
rateAndTerms
object
required
originalIds
object
required
original
object
required
created
string
required
updated
string
required
userParticipantIds
string[]
required
borrowerParticipantIds
string[]
required
stage
string
required
stageHistory
object[]
required
loanFolder
string
required
archived
boolean
required
rolloutUpdated
string
required